Page MenuHomePhabricator

Include pageviews of redirects in Popular Pages reports
Closed, ResolvedPublic3 Story Points

Description

Unfortunately (in our case) the pageviews API does not record pageviews of the target article of a redirect, only the redirect itself. For some pages there may be popular redirects such as pseudonyms, common grammatical errors, etc. (example), so we might want to account for those pageviews.

We could query the prop=redirects API to get a list, and incorporate those pages as part of the data for a single page. The limit without authentication is 500 results, but I doubt there are many pages with more than 500 redirects.

Originally reported at T156857#3091447

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2017, 7:48 PM
MusikAnimal updated the task description. (Show Details)Mar 10 2017, 7:49 PM
kaldari renamed this task from Investigate including pageviews of redirects in Popular Pages reports to Include pageviews of redirects in Popular Pages reports.Mar 14 2017, 11:49 PM
kaldari triaged this task as Normal priority.Mar 14 2017, 11:52 PM
kaldari set the point value for this task to 3.
kaldari edited projects, added Community-Tech-Sprint; removed Community-Tech.
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.
Niharika added a subscriber: Niharika.

The limit without authentication is 500 results, but I doubt there are many pages with more than 500 redirects.

Since we're using the Community Tech bot account, this shouldn't be a problem.

Done. I'm limiting redirects to 500 for now. Should be okay.

kaldari closed this task as Resolved.Mar 21 2017, 9:27 PM
kaldari moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.